SDL_ShapeUnion Union Reference

`#include <SDL_shape_internals.h>`

Collaboration diagram for SDL_ShapeUnion:
[legend]

## Data Fields

SDL_QuadTreeChildren | children
SDL_Rect | shape

## Detailed Description

Definition at line 42 of file SDL_shape_internals.h.

## Field Documentation

## children

SDL_QuadTreeChildren SDL_ShapeUnion::children

Definition at line 43 of file SDL_shape_internals.h.

Referenced by RecursivelyCalculateShapeTree(), and SDL_TraverseShapeTree().

## shape

SDL_Rect SDL_ShapeUnion::shape

Definition at line 44 of file SDL_shape_internals.h.

Referenced by RecursivelyCalculateShapeTree().

The documentation for this union was generated from the following file:

- src/video/SDL_shape_internals.h